> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List uoms

> List uoms

### Query parameters

<ParamField query="class_id" type="string" />

<ParamField query="limit" type="integer (int32)" />

<ParamField query="offset" type="integer (int32)" />

### Responses

<ResponseField name="200" type="UnitOfMeasureResponse[]" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/units-of-measure' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  [
    {
      "abbreviation": "string",
      "factor": "string",
      "id": "string",
      "is_base": true,
      "name": "string",
      "unit_class_id": "string"
    }
  ]
  ```
</ResponseExample>
